<sqtm-core-customisable-dialog
  [titleKey]="'sqtm-core.search.campaign.dialog.add-to-test-plan.title'"
  [dialogId]="'add-to-test-plan'"
>
  <sqtm-core-dialog-header>
    <div class="full-width overflow-hidden">
      <div class="flex-row" style="align-items: center">
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="info-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#1890FF'"
        ></i>
        <span class="m-l-5 m-t-5 m-b-5">{{
          'sqtm-core.search.campaign.dialog.add-to-test-plan.message'
            | translate
        }}</span>
      </div>
    </div>
  </sqtm-core-dialog-header>

  <sqtm-core-dialog-body>
    <sqtm-core-campaign-picker
      #campaignPicker
      [initialSelectedNodes]="[]"
    ></sqtm-core-campaign-picker>
  </sqtm-core-dialog-body>

  <sqtm-core-dialog-footer>
    <button
      [attr.data-test-dialog-button-id]="'add-iteration'"
      [disabled]="!(canCreateIterationWithItems$ | async)"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="primary"
      (click)="createIterationWithItems()"
    >
      {{
        'sqtm-core.search.campaign.dialog.add-to-test-plan.button.add-iteration'
          | translate
      }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'add'"
      [disabled]="!(canAddTestPlanToIteration$ | async)"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="primary"
      (click)="addToTestPlan()"
    >
      {{ 'sqtm-core.generic.label.add' | translate }}
    </button>
    <button
      [attr.data-test-dialog-button-id]="'cancel'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
